echo.
echo For your convenience, Here are all ISO's and BIN's in this directory:
echo.
echo ~~~~~~~~~~~~~~~~~~~~
IF EXIST *.bin dir /d /b *.bin
IF EXIST *.iso dir /d /b *.iso
echo ~~~~~~~~~~~~~~~~~~~~
echo.
echo Please type the full name of the iso/bin you wish to use.
echo You can also type 'n', and create an ISO from a CD.
echo.
echo {For example, mine.iso or mine.bin}
set targetISO=
set /p targetISO=Full ISO name, or 'n' for New=
echo ISO to be converted ~ [%targetISO%]
if '%targetISO%'=='N' goto skip 
if '%targetISO%'=='n' goto skip
echo.
echo.

echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo Please type the name of the game
echo.
echo {For example, Spyro}
set name=
set /p name=Game Name=
echo Name of the game ~ [%name%]
echo.
echo.

echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo Please type the game code (Starts with one of the following:)
echo {SCUS,SLUS,SLES,SCES,SCED,SLPS,SLPM,SCPS,SLED,SLPS,SIPS,or ESPM}
echo The game code will aslo have 5 digits after that.
echo.
echo This code is normally found on the packaging, right below the ESRB Rating.
echo The format is usually XXXX-00000SS. You just need the XXXX00000 part. 
echo I also found that the game code is sometimes a hidden file in the disk.
echo Such as:slus008.92, where the name of the file is the Game Code.
echo.
echo {For example, SLUS00892}
set gameCode=
set /p gameCode=Game code for your game=
echo Game code for [%name%] ~ [%gameCode%]
echo.
echo.

echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo Please type how much to compress the ISO, 0 through 9.
echo.
echo {For example, 9}
set compress=
set /p compress=Compress [0-9]=
if not '%compress%'=='' set compress=%compress:~0,1%
echo Compression level for [%name%] set to [%compress%]
echo.
echo.

echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo Type "G" to use PSP DocMaker GUI, or "D" to use CoreData\DocmakerImages
echo All files inside must be PNG images, numbered 0000.png ~ 9999.png. 
echo.
echo Either one will create a DOCUMENT.DAT tutorial for your game.
echo.
set docmaker=
set /p docmaker=Enter 'G' or 'D'=
IF NOT '%docmaker%'=='g' IF NOT '%docmaker%'=='G' set docmaker=0
echo.

cls
echo Please confirm all values you have entered are correct:
echo.
echo ISO to convert ~ [%targetISO%]
echo ISO name ~ [%name%]
echo ISO Game Code ~ [%gameCode%]
echo ISO Compression Level {1-9} ~ [%compress%]
if '%docmaker%'=='0' (echo Convert PNG images into tutorial) else (echo Use PSP DocMaker GUI to make tutorial)
echo.
set confirm=
set /p confirm=Type 'Y' to continue, 'Q' to quit/cancel, anything else to restart=
goto end2

:skip
set confirm=n
:end2